[IMPORTANT] 4.0.0-wip will be merged to master on 14th Feb, will break your existing installation

Hi community,

We plan to merge 4.0.0-wip branch to master on Friday 14th February,
2014. The setup for 4.0.0 is diferent from version 3.x.x.
If you do not wish to migrate to 4.0.0, please switch lib and app
branches to ‘release-3.x.x’. We will release install and migration steps
before that.

To switch branches,

cd lib && git fetch origin && git checkout release-3.x.x && cd..
cd app && git fetch origin && git checkout release-3.x.x && cd..

Also, please adjust your update commands accordingly.
ie.

./lib/wnf.py --update origin release-3.x.x
or
wa deploy origin release-3.x.x

Thanks,

Pratik
erpnext

Hi,

Now that the merge appears to have been perfomed, could you please provide some (very basic) instructions on how to run the new version?

I'm especially interested in directory layout, configuration, etc. as I've been trying to make the new version work for a couple of days without much success...

Thanks,

Billy

On Monday, February 10, 2014 4:49:10 PM UTC+1, Pratik Vyas wrote:
Hi community,

We plan to merge 4.0.0-wip branch to master on Friday 14th February,
2014. The setup for 4.0.0 is diferent from version 3.x.x.
If you do not wish to migrate to 4.0.0, please switch lib and app
branches to 'release-3.x.x'. We will release install and migration steps
before that.


To switch branches,
```
cd lib && git fetch origin && git checkout release-3.x.x && cd..
cd app && git fetch origin && git checkout release-3.x.x && cd..
```
Also, please adjust your update commands accordingly.
ie.

`./lib/wnf.py --update origin release-3.x.x`
or
`wa deploy origin release-3.x.x`


Thanks,
--
Pratik
erpnext



Note:

 

If you are posting an issue,

  1. We should be able to replicate it at our end. So please give us as much information as you can. Please see it from the point of view of the person receiving the communication.
  2. Paste your code at http://pastebin.com or http://gist.github.com and send only the URL via email
  3. For sending images, use http://imgur.com or other similar services. Do not send images as attachments. Links are good. Same goes for any file you are going to send.

     

    End of Note



    You received this message because you are subscribed to the Google Groups “ERPNext Developer Forum” group.

    To unsubscribe from this group and stop receiving emails from it, send an email to erpnext-developer-forum+un...@googlegroups.com.

    To view this discussion on the web visit https://groups.google.com/d/msgid/erpnext-developer-forum/7276e8ff-f254-4653-9915-8b38314dba7a%40googlegroups.com.

    For more options, visit https://groups.google.com/groups/opt_out.

Hi Billy

On Fri, Feb 14, 2014 at 5:55 PM, bi...@gmail.com wrote:

Hi,

Now that the merge appears to have been perfomed, could you please provide
some (very basic) instructions on how to run the new version?

I’ll be pushing the instructions after some testing in a few hours.

I’m especially interested in directory layout, configuration, etc. as I’ve
been trying to make the new version work for a couple of days without much
success…

It should be easier to run this version. Are you also planning to
develop own apps on frappe?

Thanks,

Thanks,

Billy

On Monday, February 10, 2014 4:49:10 PM UTC+1, Pratik Vyas wrote:

Hi community,

We plan to merge 4.0.0-wip branch to master on Friday 14th February,
2014. The setup for 4.0.0 is diferent from version 3.x.x.
If you do not wish to migrate to 4.0.0, please switch lib and app
branches to ‘release-3.x.x’. We will release install and migration steps
before that.

To switch branches,

cd lib && git fetch origin && git checkout release-3.x.x && cd..
cd app && git fetch origin && git checkout release-3.x.x && cd..

Also, please adjust your update commands accordingly.
ie.

./lib/wnf.py --update origin release-3.x.x
or
wa deploy origin release-3.x.x

Thanks,

Pratik
erpnext


Note:

If you are posting an issue,

  1. We should be able to replicate it at our end. So please give us as much
    information as you can. Please see it from the point of view of the person
    receiving the communication.
  2. Paste your code at http://pastebin.com or http://gist.github.com and send
    only the URL via email
  3. For sending images, use http://imgur.com or other similar services. Do
    not send images as attachments. Links are good. Same goes for any file you
    are going to send.

End of Note

You received this message because you are subscribed to the Google Groups
“ERPNext Developer Forum” group.
To unsubscribe from this group and stop receiving emails from it, send an
email to erpnext-developer-forum+un...@googlegroups.com.
To view this discussion on the web visit
https://groups.google.com/d/msgid/erpnext-developer-forum/7276e8ff-f254-4653-9915-8b38314dba7a%40googlegroups.com.
For more options, visit https://groups.google.com/groups/opt_out.


Pratik
erpnext

i am currently trying to install erpnext by running 'install_erpnext.py' but it is giving following error :
 Installing Python Modules: (This may take some time)
--------------------------------------------------------------------------------
Traceback (most recent call last):
  File "install_erpnext.py", line 291, in <module>
    install_pre_requisites()
  File "install_erpnext.py", line 51, in install_pre_requisites
    install_python_modules()
  File "install_erpnext.py", line 157, in install_python_modules
    exec_in_shell("pip2.7 install {}".format(' '.join(requirements)))
  File "install_erpnext.py", line 247, in exec_in_shell
    out = subprocess.check_output(cmd, shell=True)
  File "/usr/lib/python2.7/subprocess.py", line 544, in check_output
    raise CalledProcessError(retcode, cmd, output=output)
subprocess.CalledProcessError: Command 'pip2.7 install chardet cssmin dropbox google-api-python-client gunicorn httplib2 jinja2 markdown2 markupsafe mysql-python pygeoip python-dateutil python-memcached pytz==2013d requests six slugify term color werkzeug semantic_version gitpython==0.3.2.RC1' returned non-zero exit status 1

Is it because of today's merging or something else. I am doing it first time so dont know how exactly it works.

 
On Monday, 10 February 2014 21:19:10 UTC+5:30, Pratik Vyas wrote:
Hi community,

We plan to merge 4.0.0-wip branch to master on Friday 14th February,
2014. The setup for 4.0.0 is diferent from version 3.x.x.
If you do not wish to migrate to 4.0.0, please switch lib and app
branches to 'release-3.x.x'. We will release install and migration steps
before that.


To switch branches,
```
cd lib && git fetch origin && git checkout release-3.x.x && cd..
cd app && git fetch origin && git checkout release-3.x.x && cd..
```
Also, please adjust your update commands accordingly.
ie.

`./lib/wnf.py --update origin release-3.x.x`
or
`wa deploy origin release-3.x.x`


Thanks,
--
Pratik
erpnext



Note:

 

If you are posting an issue,

  1. We should be able to replicate it at our end. So please give us as much information as you can. Please see it from the point of view of the person receiving the communication.
  2. Paste your code at http://pastebin.com or http://gist.github.com and send only the URL via email
  3. For sending images, use http://imgur.com or other similar services. Do not send images as attachments. Links are good. Same goes for any file you are going to send.

     

    End of Note



    You received this message because you are subscribed to the Google Groups “ERPNext Developer Forum” group.

    To unsubscribe from this group and stop receiving emails from it, send an email to erpnext-developer-forum+un...@googlegroups.com.

    To view this discussion on the web visit https://groups.google.com/d/msgid/erpnext-developer-forum/ffea78dd-1896-49e5-810a-a6e1da3ec399%40googlegroups.com.

    For more options, visit https://groups.google.com/groups/opt_out.

Hey Mayank,

On Fri, Feb 14, 2014 at 8:02 PM, mayank gour ma...@gmail.com wrote:

i am currently trying to install erpnext by running ‘install_erpnext.py’ but
it is giving following error :
Installing Python Modules: (This may take some time)

Traceback (most recent call last):
File “install_erpnext.py”, line 291, in
install_pre_requisites()
File “install_erpnext.py”, line 51, in install_pre_requisites
install_python_modules()
File “install_erpnext.py”, line 157, in install_python_modules
exec_in_shell(“pip2.7 install {}”.format(’ '.join(requirements)))
File “install_erpnext.py”, line 247, in exec_in_shell
out = subprocess.check_output(cmd, shell=True)
File “/usr/lib/python2.7/subprocess.py”, line 544, in check_output
raise CalledProcessError(retcode, cmd, output=output)
subprocess.CalledProcessError: Command 'pip2.7 install chardet cssmin
dropbox google-api-python-client gunicorn httplib2 jinja2 markdown2
markupsafe mysql-python pygeoip python-dateutil python-memcached pytz==2013d
requests six slugify term color werkzeug semantic_version

can you try running the command manually?

sudo pip2.7 install chardet cssmin dropbox google-api-python-client
gunicorn httplib2 jinja2 markdown2 markupsafe mysql-python pygeoip
python-dateutil python-memcached pytz==2013d requests six slugify term
color werkzeug semantic_version gitpython==0.3.2.RC1

Is it because of today’s merging or something else. I am doing it first time
so dont know how exactly it works.

Today’s merging shouldn’t have caused this. You can also wait for
sometime and try out 4.0.0 as well.

On Monday, 10 February 2014 21:19:10 UTC+5:30, Pratik Vyas wrote:

Hi community,

We plan to merge 4.0.0-wip branch to master on Friday 14th February,
2014. The setup for 4.0.0 is diferent from version 3.x.x.
If you do not wish to migrate to 4.0.0, please switch lib and app
branches to ‘release-3.x.x’. We will release install and migration steps
before that.

To switch branches,

cd lib && git fetch origin && git checkout release-3.x.x && cd..
cd app && git fetch origin && git checkout release-3.x.x && cd..

Also, please adjust your update commands accordingly.
ie.

./lib/wnf.py --update origin release-3.x.x
or
wa deploy origin release-3.x.x

Thanks,

Pratik
erpnext


Note:

If you are posting an issue,

  1. We should be able to replicate it at our end. So please give us as much
    information as you can. Please see it from the point of view of the person
    receiving the communication.
  2. Paste your code at http://pastebin.com or http://gist.github.com and send
    only the URL via email
  3. For sending images, use http://imgur.com or other similar services. Do
    not send images as attachments. Links are good. Same goes for any file you
    are going to send.

End of Note

You received this message because you are subscribed to the Google Groups
“ERPNext Developer Forum” group.
To unsubscribe from this group and stop receiving emails from it, send an
email to erpnext-developer-forum+un...@googlegroups.com.
To view this discussion on the web visit
https://groups.google.com/d/msgid/erpnext-developer-forum/ffea78dd-1896-49e5-810a-a6e1da3ec399%40googlegroups.com.

For more options, visit https://groups.google.com/groups/opt_out.


Pratik
erpnext

Hi,

Actually, I don't doubt this version should be easier to run :-) I'm already sold on your engineering skills ;-)

I guess my concern was that there appeared to be a different repository layout. Now for some reason the webnotes repo has the same layout as before whereas the frappe repo has the layout I saw before. It's just a little confusing right now...

Anyways, I'll wait to get the instructions before trying to upgrade again.

About frappe apps, I might end up writing one app at some point, but not right now. Another thing that's a little confusing is what frappe exactly is. From my understanding, it looks like an evolution of webnotes that's meant to be more than a web framework in the sense that it's also a platform for apps. You seem to have a cloud offering for this, but my needs at this point are more towards running an heavily customized erpnext on-premise. Can I still do that with frappe or does it only work as-a-Service? An if so, how do I migrate an erpnext install (with some slight customizations to webnotes) from gunicorn to frappe?

Thanks,

Billy

Le vendredi 14 février 2014 14:32:46 UTC+1, Pratik Vyas a écrit :
Hi Billy

On Fri, Feb 14, 2014 at 5:55 PM,  <bi...@gmail.com> wrote:
> Hi,
>
> Now that the merge appears to have been perfomed, could you please provide
> some (very basic) instructions on how to run the new version?
>

I'll be pushing the instructions after some testing in a few hours.

> I'm especially interested in directory layout, configuration, etc. as I've
> been trying to make the new version work for a couple of days without much
> success...
>

It should be easier to run this version. Are you also planning to
develop own apps on frappe?

Thanks,


> Thanks,
>
> Billy
>
>
> On Monday, February 10, 2014 4:49:10 PM UTC+1, Pratik Vyas wrote:
>>
>> Hi community,
>>
>> We plan to merge 4.0.0-wip branch to master on Friday 14th February,
>> 2014. The setup for 4.0.0 is diferent from version 3.x.x.
>> If you do not wish to migrate to 4.0.0, please switch lib and app
>> branches to 'release-3.x.x'. We will release install and migration steps
>> before that.
>>
>>
>> To switch branches,
>> ```
>> cd lib && git fetch origin && git checkout release-3.x.x && cd..
>> cd app && git fetch origin && git checkout release-3.x.x && cd..
>> ```
>> Also, please adjust your update commands accordingly.
>> ie.
>>
>> `./lib/wnf.py --update origin release-3.x.x`
>> or
>> `wa deploy origin release-3.x.x`
>>
>>
>> Thanks,
>> --
>> Pratik
>> erpnext
>
> --
> Note:
>
> If you are posting an issue,
> 1. We should be able to replicate it at our end. So please give us as much
> information as you can. Please see it from the point of view of the person
> receiving the communication.
> 2. Paste your code at http://pastebin.com or http://gist.github.com and send
> only the URL via email
> 3. For sending images, use http://imgur.com or other similar services. Do
> not send images as attachments. Links are good. Same goes for any file you
> are going to send.
>
> End of Note
> ---
> You received this message because you are subscribed to the Google Groups
> "ERPNext Developer Forum" group.
> To unsubscribe from this group and stop receiving emails from it, send an
> email to erpnext-developer-forum+un...@googlegroups.com.
> To view this discussion on the web visit
> https://groups.google.com/d/msgid/erpnext-developer-forum/7276e8ff-f254-4653-9915-8b38314dba7a%40googlegroups.com.
> For more options, visit https://groups.google.com/groups/opt_out.



--
Pratik
erpnext



Note:

 

If you are posting an issue,

  1. We should be able to replicate it at our end. So please give us as much information as you can. Please see it from the point of view of the person receiving the communication.
  2. Paste your code at http://pastebin.com or http://gist.github.com and send only the URL via email
  3. For sending images, use http://imgur.com or other similar services. Do not send images as attachments. Links are good. Same goes for any file you are going to send.

     

    End of Note



    You received this message because you are subscribed to the Google Groups “ERPNext Developer Forum” group.

    To unsubscribe from this group and stop receiving emails from it, send an email to erpnext-developer-forum+un...@googlegroups.com.

    To view this discussion on the web visit https://groups.google.com/d/msgid/erpnext-developer-forum/7caae452-c3ad-44f7-99a1-760b07652817%40googlegroups.com.

    For more options, visit https://groups.google.com/groups/opt_out.

Hi Billy,

On Fri, Feb 14, 2014 at 10:26 PM, bi...@gmail.com wrote:

Hi,

Actually, I don’t doubt this version should be easier to run :slight_smile: I’m already
sold on your engineering skills :wink:

Thank you for your kind words. :slight_smile:

I guess my concern was that there appeared to be a different repository
layout. Now for some reason the webnotes repo has the same layout as before
whereas the frappe repo has the layout I saw before. It’s just a little
confusing right now…

We’ve left the repositories in the webnotes organization of github as
per the version 3.x.x of wnframework and erpnext. All the new 4.0.0
stuff is in the frappe organization you saw.

Anyways, I’ll wait to get the instructions before trying to upgrade again.

About frappe apps, I might end up writing one app at some point, but not
right now. Another thing that’s a little confusing is what frappe exactly
is. From my understanding, it looks like an evolution of webnotes that’s
meant to be more than a web framework in the sense that it’s also a platform
for apps.

Yes, exactly. Simply put, frappe is webnotes framework version 4.0.0
with a name change. With the new version of the framework, we’ve
removed the tight coupling within. The goal is to be able to extend
existing apps (best target is erpnext) and also be able to start new
projects. We’ve had such a pilot project in the past month and are
quite happy about the usablity/reusablity.

You seem to have a cloud offering for this, but my needs at this
point are more towards running an heavily customized erpnext on-premise. Can
I still do that with frappe or does it only work as-a-Service?

The cloud offering for frappe apps is a more generic cloud offering
than our current one for erpnext. You would still be able to customize
erpnext and run it in its entirety on your premise. No freedom
affected.

An if so, how do I migrate an erpnext install (with some slight customizations to
webnotes) from gunicorn to frappe?

We’ll be releasing documentation for that very soon. Also, I’d like to
highlight that this is a beta release, so migrating your production
system to ERPNext 4 is not a good idea as of now.

I am finalizing the install script at the moment. Will post when it’s ready.

Thanks,

Pratik
erpnext

Hi,

Thanks for your answers!

So, if I understood correctly, frappe would allow me to run my heavily customized erpnext in the cloud. So in a way, this is more of a PaaS than a SaaS with modules. Good to know!

For this particular project, the requirement is that it remains on premise, though. The system isn't in production yet, but since that's scheduled for March/April, I'd rather upgrade sooner than later even if it means dealing with more bugs. Anyways, I have several copies of the environment in staging, so there's no real impact to users.

Thanks for the updated install script! Maybe you can answer one more question for me: Am I better off upgrading from an existing install or doing a fresh install and migrating then?

Billy

Le vendredi 14 février 2014 18:32:18 UTC+1, Pratik Vyas a écrit :
Hi Billy,

On Fri, Feb 14, 2014 at 10:26 PM,  <bi...@gmail.com> wrote:
> Hi,
>
> Actually, I don't doubt this version should be easier to run :-) I'm already
> sold on your engineering skills ;-)

Thank you for your kind words. :)
>
> I guess my concern was that there appeared to be a different repository
> layout. Now for some reason the webnotes repo has the same layout as before
> whereas the frappe repo has the layout I saw before. It's just a little
> confusing right now...
>

We've left the repositories in the webnotes organization of github as
per the version 3.x.x of wnframework and erpnext. All the new 4.0.0
stuff is in the frappe organization you saw.

> Anyways, I'll wait to get the instructions before trying to upgrade again.
>
> About frappe apps, I might end up writing one app at some point, but not
> right now. Another thing that's a little confusing is what frappe exactly
> is. From my understanding, it looks like an evolution of webnotes that's
> meant to be more than a web framework in the sense that it's also a platform
> for apps.

Yes, exactly. Simply put, frappe is webnotes framework version 4.0.0
with a name change. With the new version of the framework, we've
removed the tight coupling within. The goal is to be able to extend
existing apps (best target is erpnext) and also be able to start new
projects. We've had such a pilot project in the past month and are
quite happy about the usablity/reusablity.

>You seem to have a cloud offering for this, but my needs at this
> point are more towards running an heavily customized erpnext on-premise. Can
> I still do that with frappe or does it only work as-a-Service?

The cloud offering for frappe apps is a more generic cloud offering
than our current one for erpnext. You would still be able to customize
erpnext and run it in its entirety on your premise. No freedom
affected.

>An if so, how do I migrate an erpnext install (with some slight customizations to
> webnotes) from gunicorn to frappe?

We'll be releasing documentation for that very soon. Also, I'd like to
highlight that this is a beta release, so migrating your production
system to ERPNext 4 is not a good idea as of now.

I am finalizing the install script at the moment. Will post when it's ready.

Thanks,
--
Pratik
erpnext



Note:

 

If you are posting an issue,

  1. We should be able to replicate it at our end. So please give us as much information as you can. Please see it from the point of view of the person receiving the communication.
  2. Paste your code at http://pastebin.com or http://gist.github.com and send only the URL via email
  3. For sending images, use http://imgur.com or other similar services. Do not send images as attachments. Links are good. Same goes for any file you are going to send.

     

    End of Note



    You received this message because you are subscribed to the Google Groups “ERPNext Developer Forum” group.

    To unsubscribe from this group and stop receiving emails from it, send an email to erpnext-developer-forum+un...@googlegroups.com.

    To view this discussion on the web visit https://groups.google.com/d/msgid/erpnext-developer-forum/490b0458-4f3a-4268-823e-1460b89203e7%40googlegroups.com.

    For more options, visit https://groups.google.com/groups/opt_out.

Hi Billy,

On Sat, Feb 15, 2014 at 2:34 PM, bi...@gmail.com wrote:

Hi,

Thanks for your answers!

So, if I understood correctly, frappe would allow me to run my heavily
customized erpnext in the cloud. So in a way, this is more of a PaaS than a
SaaS with modules. Good to know!

Well, not exactly. If your customization is a form of a frappe app,
we’d be happy to host in our app repository (with a proper
free/non-free license).

For this particular project, the requirement is that it remains on premise,
though. The system isn’t in production yet, but since that’s scheduled for
March/April, I’d rather upgrade sooner than later even if it means dealing
with more bugs. Anyways, I have several copies of the environment in
staging, so there’s no real impact to users.

Thanks for the updated install script! Maybe you can answer one more
question for me: Am I better off upgrading from an existing install or doing
a fresh install and migrating then?

You can migrate to version 4 with existing data. Apart from wiring,
only permission system has changed.

Thanks,


Pratik
erpnext